Summary:	Embeddable database
Summary(pl.UTF-8):	Baza danych
Name:		metakit
Version:	2.4.9.7
Release:	5
License:	GPL
Group:		Libraries
Source0:	http://www.equi4.com/pub/mk/%{name}-%{version}.tar.gz
# Source0-md5:	17330257376eea657827ed632ea62c9e
Patch0:		%{name}-sparc64.patch
Patch1:		%{name}-build.patch
Patch2:		x32.patch
URL:		http://www.equi4.com/metakit.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	python-devel
BuildRequires:	tcl-devel >= %{tcl_version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		tcl_version	8.6

%description
MetaKit is an embeddable database which runs on Unix, Windows,
Macintosh, and other platforms. It lets you build applications which
store their data efficiently, in a portable way, and which will not
need a complex runtime installation. In terms of the data model,
MetaKit takes the middle ground between RDBMS, OODBMS, and flat-file
databases - yet it is quite different from each of them.

%description -l pl.UTF-8
MetaKit to baza danych pracująca na platformach Unix, Windows,
Macintosh oraz innych. Pozwala ona na tworzenie aplikacji, które
zapisują dane efektywnie w sposób łatwy do przenoszenia między
platformami i które nie wymagają skomplikowanej instalacji. MetaKit
używając określeń z dziedziny baz danych znajduje się pomiędzy RDBMS,
OODBMS i bazami opartymi na płaskich-plikach.

%package devel
Summary:	Header files and development documentation for %{name}
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	metakit-static

%description devel
Header files and development documentation for %{name}.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do %{name}.

%package -n python-metakit
Summary:	Python modules for metakit
Summary(pl.UTF-8):	Moduły Pythona dla pakietu metakit
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-metakit
Python modules for metakit.

%description -n python-metakit -l pl.UTF-8
Moduły Pythona dla pakietu metakit.

%package -n tcl-metakit
Summary:	Tcl modules for metakit
Summary(pl.UTF-8):	Moduły Tcl-a dla pakietu metakit
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}

%description -n tcl-metakit
Tcl modules for metakit.

%description -n tcl-metakit -l pl.UTF-8
Moduły Tcl-a dla pakietu metakit.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd unix
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	CXXFLAGS="%{rpmcxxflags} -DUSE_INTERP_RESULT -DUSE_INTERP_ERRORLINE" \
	--with-tcl=%{_includedir},%{_libdir}/tcl%{tcl_version} \
	--with-python=%{py_incdir},%{py_sitedir} \
	--enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_libdir},%{py_sitedir}} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	-C unix \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/*.so

%files devel
%defattr(644,root,root,755)
%doc CHANGES Metakit.html doc
%{_includedir}/*.h
%{_includedir}/*.inl
%{_examplesdir}/%{name}-%{version}

%files -n python-metakit
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/Mk4py.so
%{py_sitedir}/metakit.py

%files -n tcl-metakit
%defattr(644,root,root,755)
%dir %{_libdir}/tcl%{tcl_version}/Mk4tcl
%attr(755,root,root) %{_libdir}/tcl%{tcl_version}/Mk4tcl/Mk4tcl.so
%{_libdir}/tcl%{tcl_version}/Mk4tcl/pkgIndex.tcl
%changelog
* Tue Dec 22 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/metakit.git;a=log;h=master

* Tue Dec 22 2015 Jan Rękorajski <baggins@pld-linux.org> 5f1b08a
- fix long type detection on x32
- rel 5

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 35c753d
- release 4 (by relup.sh)

* Tue Jun 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a98d05
- rel 3; fix tcl/tk 8.6 build

* Sun Jun 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f7abb00
- tcl rebuild
- release 2 (by relup.sh)

* Mon Feb 14 2011 Elan Ruusamäe <glen@pld-linux.org> 1062104
- release 1

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> cbab077
- drop obsolete files

* Tue Mar 11 2008 tommat <tommat@pld-linux.org> 3759dc3
- fix sparc64 build

* Tue Mar 11 2008 tommat <tommat@pld-linux.org> 4166478
- added sparc64 fix

* Fri Jan 04 2008 zbyniu <zbyniu@pld-linux.org> 55ce9ed
- up to 2.4.9.7; lib64 fixes

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9fc0899
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c713809
- converted to UTF-8

* Sat Aug 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 12c046f
- -devel O: metakit-static; pl for new packages

* Sun Jul 30 2006 Elan Ruusamäe <glen@pld-linux.org> fc997c9
- remote trash from last commit message

* Sun Jul 30 2006 Elan Ruusamäe <glen@pld-linux.org> bc59a3e
- updated to 2.4.9.5, updated URL
- static package is gone (can't be built with shared at some time, anyone bother to hack?)
- added python- and tcl- bindings subpackages

* Mon Apr 17 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 229924a
- strict internal deps

* Thu Jan 29 2004 eothane <eothane@pld-linux.org> a9a6b4f
- updated to 2.4.9.3

* Sat Aug 02 2003 grzegol <grzegol@pld-linux.org> 7afa0c4
- removed static linking

* Sat Aug 02 2003 grzegol <grzegol@pld-linux.org> 963dd79
- outdated

* Sat Aug 02 2003 grzegol <grzegol@pld-linux.org> 407f4d5
- removed DESTDIR patch
- added examples
- more docs
- cleanups
- rel. 2

* Tue Jun 24 2003 ankry <ankry@pld-linux.org> efb8fd5
- proper URL and md5 now

